Bug 284101 - Review Request: python-textile - A Humane Web Text Generator
Review Request: python-textile - A Humane Web Text Generator
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 15:09 EDT by Thomas Moschny
Modified: 2008-04-23 05:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.0.11-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 05:12:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2007-09-09 15:09:52 EDT
Spec URL: http://thm.1erlei.de/python-textile.spec
SRPM URL: http://thm.1erlei.de/python-textile-2.0.11-1.fc7.src.rpm

Description: Textile is a XHTML generator using a simple markup developed by Dean Allen. This is a Python port with support for code validation, itex to MathML translation, Python code coloring and much more.

Note: The license seems to be identical to BSD3c.

Additional note: This is my first package, and I need a sponsor.
Comment 1 Thomas Moschny 2008-01-17 18:29:53 EST
Spec URL: http://thm.1erlei.de/python-textile.spec
SRPM URL: http://thm.1erlei.de/python-textile-2.0.11-2.fc8.src.rpm

- Updated main and source urls. 
- The website states that the package is now under the MIT License.
- Fix mixed spaces/tabs issue reported by rpmlint.
Comment 2 Jason Tibbitts 2008-01-20 17:09:13 EST
Sponsorship was offered in bug 284961.
Comment 3 Jason Tibbitts 2008-01-27 19:55:47 EST
Builds clean and rpmlint finds nothing to complain about.

When in doubt, trust the license on the code and not what's listed on a web
site.  While I don't think the difference between BSD (without advertising) and
MIT is particularly significant, we should at least get it right even when
upstream doesn't seem to know the difference.  So I think that "BSD" is indeed
the correct License: tag here.

The tarball in this package and the one currently at the upstream web site are
not the same.  Any idea what's up there?  The size is different but the content
seems to be the same.
Comment 4 Thomas Moschny 2008-01-28 05:26:23 EST
(In reply to comment #3)
> When in doubt, trust the license on the code and not what's listed on a web
> site.  While I don't think the difference between BSD (without advertising)
> and MIT is particularly significant, we should at least get it right even
> when upstream doesn't seem to know the difference.  So I think that "BSD" is
> indeed the correct License: tag here.

Ok, reverted the tag. Also asked upstream to clarify.

> The tarball in this package and the one currently at the upstream web site
> are not the same.  Any idea what's up there?  The size is different but the
> content seems to be the same.

Upstream seems to have repackaged it when when moving to googlecode.
The older archive was downloaded from http://pypi.python.org/pypi/textile/ .

Anyway, I rebuilt the srpm.

Spec URL: http://thm.1erlei.de/python-textile.spec
SRPM URL: http://thm.1erlei.de/python-textile-2.0.11-3.fc8.src.rpm
Comment 5 Thomas Moschny 2008-02-25 12:35:07 EST
Anything missing for the review?
Comment 6 Jason Tibbitts 2008-04-04 15:38:53 EDT
I'm guessing that upstream never clarified, but in any case I don't think it
matters much as we have the license 

* source files match upstream:
  8d1f277c541d2638f8be3fa5ebb01762e01ce9d1792ae7bcdca443716964bf59  
  textile-2.0.11.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   python-textile = 2.0.11-3.fc9
  =
   python(abi) = 2.5
   python-twisted-core
* %check is not present; no test suite upstream.
  I have no ability to test this software.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* egg-info files are built and included in the package.

APPROVED
Comment 7 Thomas Moschny 2008-04-04 17:57:14 EDT
Thanks for reviewing!

New Package CVS Request
=======================
Package Name: python-textile
Short Description: A Humane Web Text Generator
Owners: thm
Branches: F-7 F-8
InitialCC: none
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-04-04 18:04:58 EDT
cvs done.
Comment 9 Fedora Update System 2008-04-04 19:31:01 EDT
python-textile-2.0.11-4.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-04-04 19:35:30 EDT
python-textile-2.0.11-4.fc7 has been submitted as an update for Fedora 7
Comment 11 Fedora Update System 2008-04-09 01:18:42 EDT
python-textile-2.0.11-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-textile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2978
Comment 12 Fedora Update System 2008-04-16 23:54:49 EDT
python-textile-2.0.11-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-04-16 23:55:00 EDT
python-textile-2.0.11-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.